/*
GameFrame for Java. Enable platform dependent features without giving up platform independence!
Copyright (C) 1999  Pasi Kernen

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The author can be contacted at eMail address: javanerd@geocities.com
*/
package gameframe;

/**
 * GameFrame exception that gets thrown when GameFrame is used in
 * a wrong way.
 *@author Pasi Kernen 29. Oct 1999
 *@version GameFrame for Java 0.9.4
 *@since GameFrame for Java 0.9.1
 */
public class SettingsException extends GameFrameException
{
    /**
     * Contstructs a SettingsException with the given description.
     *@param strDescription A textual description of the exception.
     */
    public SettingsException( String strDescription )
    {
        super( strDescription );
    }
}
